Package io.vertx.json.schema.common.dsl

## Class Schemas

- java.lang.Object
- - io.vertx.json.schema.common.dsl.Schemas

-     public class Schemas
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Schemas()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static GenericSchemaBuilder` | `allOf​(SchemaBuilder... allOf)` |
    `static GenericSchemaBuilder` | `anyOf​(SchemaBuilder... anyOf)` |
    `static ArraySchemaBuilder` | `arraySchema()` |
    `static BooleanSchemaBuilder` | `booleanSchema()` |
    `static GenericSchemaBuilder` | `constSchema​(Object constValue)` |
    `static GenericSchemaBuilder` | `enumSchema​(Object... enumValues)` |
    `static NumberSchemaBuilder` | `intSchema()` |
    `static GenericSchemaBuilder` | `not​(SchemaBuilder not)` |
    `static NumberSchemaBuilder` | `numberSchema()` |
    `static ObjectSchemaBuilder` | `objectSchema()` |
    `static GenericSchemaBuilder` | `oneOf​(SchemaBuilder... oneOf)` |
    `static GenericSchemaBuilder` | `ref​(JsonPointer pointer)` |
    `static GenericSchemaBuilder` | `refToAlias​(String alias)` |
    `static GenericSchemaBuilder` | `schema()` | Creates a generic untyped schema.
    `static StringSchemaBuilder` | `stringSchema()` |
    `static TupleSchemaBuilder` | `tupleSchema()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Schemas

          public Schemas()

  - ### Method Detail

    - #### schema

          public static GenericSchemaBuilder schema()

      Creates a generic untyped schema. You can add the type keyword using `Keywords.type(SchemaType...)`
      Returns:

    - #### intSchema

          public static NumberSchemaBuilder intSchema()

    - #### numberSchema

          public static NumberSchemaBuilder numberSchema()

    - #### stringSchema

          public static StringSchemaBuilder stringSchema()

    - #### booleanSchema

          public static BooleanSchemaBuilder booleanSchema()

    - #### tupleSchema

          public static TupleSchemaBuilder tupleSchema()

    - #### arraySchema

          public static ArraySchemaBuilder arraySchema()

    - #### objectSchema

          public static ObjectSchemaBuilder objectSchema()

    - #### constSchema

          public static GenericSchemaBuilder constSchema​(Object constValue)

    - #### enumSchema

          public static GenericSchemaBuilder enumSchema​(Object... enumValues)

    - #### ref

          public static GenericSchemaBuilder ref​(JsonPointer pointer)

    - #### refToAlias

          public static GenericSchemaBuilder refToAlias​(String alias)

    - #### allOf

          public static GenericSchemaBuilder allOf​(SchemaBuilder... allOf)

    - #### anyOf

          public static GenericSchemaBuilder anyOf​(SchemaBuilder... anyOf)

    - #### oneOf

          public static GenericSchemaBuilder oneOf​(SchemaBuilder... oneOf)

    - #### not

          public static GenericSchemaBuilder not​(SchemaBuilder not)